Get a specific agent version

Get a specific agent version. See the OpenAPI-defined parameters, request body, and responses below.

GET /AgentHistory/agent/{agentId}/version/{version}

Get a specific agent version. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint retorna o estado do agente em uma versão específica.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
agentIdpathinteger · int32Yes——
versionpathinteger · int32Yes——

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/AgentHistory/agent/{agentId}/version/{version}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Sucesso ao retornar a versãoapplication/json · AgentHistoryDto
404Versão não encontradaNo response body is defined.

Example response (200):

{
  "id": 0,
  "agentId": 0,
  "agentName": "string",
  "userId": 0,
  "userName": "string",
  "userEmail": "string",
  "actionType": 0,
  "actionTypeDescription": "string",
  "description": "string",
  "previousState": "string",
  "newState": "string",
  "changedFields": "string",
  "createdAt": "2026-09-22T18:00:00Z",
  "version": 0
}

Data models

AgentHistoryActionType

0 = Created; 1 = Updated; 2 = Deleted; 3 = FileAdded; 4 = FileRemoved; 5 = DynamicVariableAdded; 6 = DynamicVariableUpdated; 7 = DynamicVariableRemoved; 8 = DataCollectionAdded; 9 = DataCollectionUpdated; 10 = DataCollectionRemoved; 11 = ToolAdded; 12 = ToolUpdated; 13 = ToolRemoved; 14 = TaskAdded; 15 = TaskUpdated; 16 = TaskRemoved; 17 = PermissionChanged

integer

AgentHistoryDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
agentIdinteger · int32No——
agentNamestringNo—nullable
userIdinteger · int32No——
userNamestringNo—nullable
userEmailstringNo—nullable
actionTypeAgentHistoryActionTypeNo——
actionTypeDescriptionstringNo—nullable
descriptionstringNo—nullable
previousStatestringNo—nullable
newStatestringNo—nullable
changedFieldsstringNo—nullable
createdAtstring · date-timeNo——
versioninteger · int32No——